svn commit: samba r7933 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sun Jun 26 12:06:30 GMT 2005


Author: tridge
Date: 2005-06-26 12:06:29 +0000 (Sun, 26 Jun 2005)
New Revision: 7933

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7933

Log:
darn, forgot to add this


Added:
   branches/SAMBA_4_0/source/script/tests/test_quick.sh


Changeset:
Added: branches/SAMBA_4_0/source/script/tests/test_quick.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_quick.sh	2005-06-26 11:35:50 UTC (rev 7932)
+++ branches/SAMBA_4_0/source/script/tests/test_quick.sh	2005-06-26 12:06:29 UTC (rev 7933)
@@ -0,0 +1,39 @@
+#!/bin/sh
+# run a quick set of filesystem tests
+
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_quick.sh UNC USERNAME PASSWORD <first> <smbtorture args>
+EOF
+exit 1;
+fi
+
+unc="$1"
+username="$2"
+password="$3"
+start="$4"
+shift 4
+ADDARGS="$*"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+tests="BASE-UNLINK BASE-ATTR"
+tests="$tests BASE-DIR2 BASE-TCON BASE-OPEN BASE-DELETE"
+tests="$tests BASE-CHKPATH RAW-QFSINFO RAW-QFILEINFO RAW-SFILEINFO"
+tests="$tests RAW-LOCK RAW-MKDIR RAW-SEEK RAW-OPEN RAW-WRITE"
+tests="$tests RAW-UNLINK RAW-READ RAW-CLOSE RAW-IOCTL RAW-RENAME"
+tests="$tests RAW-EAS RAW-STREAMS RAW-ACLS"
+
+failed=0
+for t in $tests; do
+    if [ ! -z "$start" -a "$start" != $t ]; then
+	continue;
+    fi
+    start=""
+    name="$t"
+    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+done
+
+testok $0 $failed
+sleep 10000


Property changes on: branches/SAMBA_4_0/source/script/tests/test_quick.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list